Subject: 5. [Begin_Cn_Auto_Map]......

From: [email-masked]
Date: Thu, 13 Jan 2000 07:15:03 -0600

As Stated...
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
5. [Begin_Cn_Auto_Map].
   The equation methodology for Index, Pin and Signal seems powerful.
   However, there seems to be an opportunity to make a mistake and
   create indicies that repeat, if improper equations are entered.
   We need to review this further since there is an interaction with
   fixed equations and some of the numerical choices that could be
   entered (e.g, if [Cn_Rows_of_Pins] were change from 2 to 3 in the
   first example.

   Also, it is not clear that a specific entry would be passed into the
   model for the "VARIABLE" in order to produce the specific connector
   of interest.  The parameter passing mechanism needs to be better
   defined than just a "VARIABLE" where critical information regarding
   the acceptable values of VARIABLE are buried within the model itself.

   The autogeneration syntax seems to be well thought out, but still needs
   review.
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

As points of reference...  the "auto" and "variable" were installed to make the
"swath operator" a viable solution.

And...  we wanted any model to be able to...

..stand alone ... or be swathed... or both

We knew that swath model creation will not be easy.  Further, incorporating the
swath into a written specification would be difficult to do and understand. 
But, I think the potential benefits are large.

_gus
[email-masked]
630-527-4617